aboutsummaryrefslogtreecommitdiffstats
path: root/python2-numpydoc/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-11-18 21:25:41 +0100
committerMattias Andrée <maandree@operamail.com>2012-11-18 21:25:41 +0100
commit25ebfd29e132cf1c238a70f57afc0be0548c4474 (patch)
treee6924a166dff0ccc21617c21f23795675948eebd /python2-numpydoc/watch
parentderp (diff)
downloadaur-packages-25ebfd29e132cf1c238a70f57afc0be0548c4474.tar.gz
aur-packages-25ebfd29e132cf1c238a70f57afc0be0548c4474.tar.bz2
aur-packages-25ebfd29e132cf1c238a70f57afc0be0548c4474.tar.xz
adopt python2-numpydoc + update gitignore
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'python2-numpydoc/watch')
-rwxr-xr-xpython2-numpydoc/watch17
1 files changed, 17 insertions, 0 deletions
diff --git a/python2-numpydoc/watch b/python2-numpydoc/watch
new file mode 100755
index 0000000..a7dace9
--- /dev/null
+++ b/python2-numpydoc/watch
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+wget http://pypi.python.org/packages/source/n/numpydoc/ >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ grep numpydoc- < index.html | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'python2-numpydoc'
+ fi
+ rm index.html
+else
+ echo 'python2-numpydoc (unfetchable)'
+fi
+